QGIS Application - Bug report #11437
Processing: models from repository are not usable in new version
2014-10-18 02:03 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19713
Description

They are shown as empty, with blank name

History

#1 - 2014-10-18 11:36 AM - Giovanni Manghi
- Affected QGIS version changed from 2.4.0 to master

by the way in 2.4 importing models from repository does not seems to add them in the processing toolbox, but files are copied to the proper directory inside
.qgis2.

If trying to add those models using "add model from file" causes

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\gui\\Processing Toolbox.py", line 208, in executeAlgorithm
action.execute()
File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\modeler\\AddModelFromFileAction.py", line 56, in execute
shutil.copyfile(filename,destFilename)
File "C:\OSGEO4~1\\apps\\Python27\\lib\\shutil.py", line 69, in copyfile
raise Error("%s" and "%s’ are the same file" % (src, dst))
Error: "C:/Users/giovanni/.qgis2/processing/models/modelwithin.model” and "C:\\Users\\giovanni\\.qgis2\\processing\\models\\modelwithin.model" are the

same file

#2 - 2014-10-18 11:39 AM - Victor Olaya

models in the repo have the syntax of the new modeler (so they do not work in 2.4), but with the syntax previous to the parametres API refactoring (so they

fail to load in current master)

| have to update the models and it will be fine

#3 - 2014-11-19 01:49 AM - Alexander Bruy
- Status changed from Open to Feedback

Should be fixed now
#4 - 2014-11-21 01:33 AM - Paolo Cavallini
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Thanks
